#ifndef STATUSSHOW_H
#define STATUSSHOW_H

#include <QThread>

#include "wl_numlock.h"

class StatusShow : public QThread
{
    Q_OBJECT
public:
    StatusShow(){}
    ~StatusShow(){ delete key_manager; }

private:
    WLKeyManager * key_manager;

signals:
    void status(bool);
protected:
    void run() override {
        forever{
            emit status(key_manager->getNumLockState());
            msleep(500);
        }
    }
};

#endif // STATUSSHOW_H
